### Method

# GLib Uri to_string_partial

since: 2.66

#### Declaration

    char*
    g_uri_to_string_partial (
      GUri* uri,
      GUriHideFlags flags
    )

#### Description

Returns a string representing `uri`, subject to the options in `flags`. See `g_uri_to_string()` and `GUriHideFlags` for more details.

Available since: 2.66

#### Parameters

`flags`

  Type: `GUriHideFlags`

  Flags describing what parts of `uri` to hide.

#### Return value

Type: `char*`

A string representing `uri`, which the caller must free.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.